//
//  Constants.swift
//  FirebaseJokes
//
//  Created by PieCyfer on 1/23/16.
//  Copyright © 2016 Matt Maher. All rights reserved.
//

import UIKit

let publicGroupID = 10059 // Live
//let publicGroupID = 10015 // Staging
let BASE_URL = ""

let pageLimit50 = 50
let pageLimit20 = 20
let pageLimit10 = 10
let pageLimit5  = 5
let pageLimit3  = 3

let maxAllowedAttachments = 5

//var socketManager = SocketManager.sharedInstance

let GROUP_INFO_CAT_TITLE             = "Group folders (Categories)"
let REMOVE_MEMBERSHIP_BUTTON_TITLE   = "DELETE MEMBER"
let CREDENTIALS_DICT                 = "SAVEDCREDENTIALS"
//MARK: - Title Messages
let NameAlertHeader                  = "Inavalid Name"
let GroupInfo_UpdateTitle            = "Group Info Update"
let GroupImage_Update                = "Group Image Update"
let GroupTitleRequired               = "Group Title"
let GroupRequestAccept               = "Group Request"
let UpdateMessageTitle               = "Update Message"
let DeleteMessageTitle               = "Delete Message"
let DeleteCommentTitle               = "Delete Comment"
let GroupEmailTitle                  = "Group Email"
let MailSubjectTitle                 = "Email Subject"
let MailMessageTitle                 = "Email Message"
let GroupRequestHeading              = "GROUP REQUEST"
let RemoveMemberHeading              = "Delete Member"
let DeleteThreadHeading              = "Delete Thread"
let FileSaveErrHeading               = "File Save Error"
let FileSaveSuccess                  = "Saved!"
let downloadHeader                   = "File Download"
let DeleteGroupHeader                = "Delete Group"
let ThreadCreateHeader               = "Create Thread"
let ThreadEditHeader                 = "Edit Thread"
let NotifictionChangeHeading         = "Change Notification Setting"
let GroupCreateHeader                = "New Group"
let InactivityValidation             = "Invalid Time"
let createThreadHeader               = "Thread created Successfully"
let InactivityValidationMessage      = "The value cannot be empty and must be greater than 0"
let threadDescriptionCompulsoryMessage = "Thread Description is mandatory. Please Enter Description for Thread."
let threadDescriptionAlert           = "Thread Description Alert"
let InactivityHeader                 = "Inactivity Time Update"
let InactivityMessage                = "Inactivity time limit update successfully"
let GroupInfo_Message                = "Changes has been saved"
let GroupImage_Message               = "Group image uploaded successfully"
let GroupTitleRequiredMessage        = "Group Title is Required"
let GrouopRequestAcceptMessage       = "Request status has been updated."
let DeleteMessageSuccess             = "Message deleted successfully"
let DeleteCommentSuccess             = "Comment deleted successfully"
let UpdateMessageSuccess             = "Message updated successfully"
let GroupEmailMessage                = "Email is send"
let MailSubjectMessage               = "Please provide Email Subject"
let MailMessageMessage               = "Please provide email message"
let CancelGroupRequest               = "You have successfully unsubscribe."
let RemoveMemberMessage              = "User Deleted successfully."
let DeleteThreadMessage              = "Document deleted successfully"
let FileSaveMessage                  = "Your requested file has been saved to your device"
let GroupRequestMessage              = "Request status has been updated."
let downloadMessage                  = "Successfully downloaded."
let DeleteGroupMessage               = "Group deleted successfully."
let NotifictionChangeMessage         = "notification update successfully"
let ThreadEditMessage                = "Thread details are updated successfully"
let ThreadConfirmationMessage        = "Do you want to create new thread?"
let NameAlertMessage                 = "It, seem's you have'nt provid First Name or Last Name"
let showAllTitle                     = "Show More"
let showLessTitle                    = "Show Less"
let commentsText                     = "Comments"
let filesText                        = "Files"
let GroupCreateMessage               = "Group created successfully"
let UserGroupsHeaderText             = "User Groups"
let JoinedGroupsHeaderText           = "Requested Groups"
let OtherGroupsHeaderText            = "Other Groups"
let InvitationSentHeader             = "Invitation"
let ConnectedUsersText               = "Connections"
let OtherUsersText                   = "Other Users"
let ThreadDetailPlaceholder          = "Thread Description Here."
let InvitePlaceholder                = "Write a note..."
let ProfilePlaceholder               = "Add additional info here..."
let ChatPlaceholder                  = "Write a Message"
let GroupDescriptionPlaceholder      = "Group Description..."
let CommentPlaceholder               = "Write a Comment"
let GroupEmailDescription            = "Description"
let GoToGroup                        = "Go To Group"
let CancelRequest                    = "Cancel Request"
let RequestMembership                = "Request Membership"
let MaleGender                       = "Male"
let FemaleGender                     = "Female"
let SaveTitle                        = "Save"
let EditTitle                        = "Edit"
let DeleteTitle                      = "Delete"
let VisibleToConnections             = "Visible to connections only"

let inviteButtonTitle                = "Invite"
let DoneText                         = "Done"
let criticalPriorityText             = "CRITICAL"
let importantPriorityText            = "IMPORTANT"
let noticePriorityText               = "NOTICE"
let LogoutHeader                     = "Auto Log Out!"
let InvitationSentMessage            = "Invitation sent successfully"
let recipientPlaceholder             = "Select Recipients"
let recipientsPlaceholder            = "Selected Recipients"
let AutoLogoutText                   = "Due to inactivity you have been logged out from the current session"
let ValidationAlertTitle             = "Validation Failure"
let ForgetPaswortAlertTitle          = "Reset Password"
let AreRequiredString                = " are required"
let IsRequiredString                 = " is required"
let InvalidEmail                     = " is not a valid email"
let PasswordMissmatch                = "Password and confirm password are not same"
let UserSignUpHeading                = "User Sign Up Success"
let ValidConactNumberRequired        = "Valid contact number required"
let InvalidConactNumber              = "Please enter a valid contact number."
let PaswordLength                    = "Password should be at least 6 characters long."
let ConfirmPasswordLength            = "Confirm password should be at least 6 characters long."
let UserSignUpSuccessServerResponse  = "Account confirmation is required. Please, check your email for the confirmation link."
let ForgotEmailTitle                 = "Valid Email Required"
let ForgotEmailMessage               = "To reset password Please provide a valid Email"
let ResetPasswordResponseMessage     = "If there is an account associated with #MAIL# you will receive an email with a link to reset your password."
let RequiredEmailString              = "Registered Email is required and can't be empty."
let RequiredPasswordString           = "Password is required and can't be empty."
let UpdateProfileTitle               = "Profile Update"
let UpdateProfileMessage             = "Account update successfully."
let UpdateProfileImageMessage        = "Profile image updated successfully"
let CreateGroupTitle                 = "New Group"
let CreateGroupMessage               = "Group create successfully"
let FriendRequestTitle               = "Friend Request"
let FriendRequestMessage             = "Friend request sent successfully"
let SearchText                       = "Search"
let option1                          = "Remove and DELETE Files from this User"
let option2                          = "Remove and Keep Files from this User"
let warningText                      = "Warning"
let cancelText                       = "Cancel"
let SelectText                       = "Select"
let FirstNameText                    = "First Name"
let LastNameText                     = "Last Name"
let DateOfBirthText                  = "Date Of Birth"
let GenderText                       = "Gender"
let ContactNumberText                = "Contact Number"
let PasswordText                     = "Password"
let ConfirmPasswordText              = "Confirm Password"
let yesText                          = "YES"
let noText                           = "NO"
let CameraText                       = "Camera"
let videoText                        = "Video"
let PhotosText                       = "Photos"
let DocumentsText                    = "Documents"
let YearText                         = "year"
let MonthText                        = "month"
let MonthsText                       = "months"
let DayText                          = "day"
let DaysText                         = "days"
let HourText                         = "hour"
let HoursText                        = "hours"
let MinutesText                      = "minutes"
let MinuteText                       = "minute"
let SecondText                       = "second"
let SecondsText                      = "seconds"
let MomentText                       = "a moment"
let AgoText                          = "ago"
let CommentsText                     = "Comments"
let CommentText                     = "Comment"
//let deleteGroupAlertMessage          = "You Are trying to delete #GROUP#. This is not possible as long as other users are a member of this."
let deleteGroupAlertMessage          = "Only super admin can delete group"
let deleteCategoryAlertMessage       = "Only super admin can delete group folder"
let NextText                        = "Next"
let DeleteCategoryMessage           = "If you delete a category/folder all content will be deleted and can NOT be restored. Alternative you can deactivate the category/folder by unchecking it in the list."
let OKText                          = "OK"
let DismissText                     = "Dismiss"
let PasswordUpdateHeader            = "Update password"
let PasswordUpdateMessage           = "The password is now updated"
let PasswordChangeMessage           = "Your password is changed successfully"
let SaveText                        = "Save"
let DeleteGroupWarning               = "You are about to delete #GROUP# and all its contents. If this is deleted, ALL content will be deleted and can NOT be recreated!"
let AccountSettingTitle               = "ACCOUNT SETTING"
let updateProfessionField             = "updateProfessionField"
let groupAndCategoryAlert             = "Group and Folder Alert"
let groupAndCategorySelectionMessage  = "Please select group and folder to proceed."
let saveDocuments                       = "Save Documents"
let ThreadCreateTitle                    = "Alert"
let ThreadCreateMessage                   = "Thread Description or Attachment is required"
let selectProfile                           = "Select Profile"
let multipleAuthorizedLoginsOnThisDevice = "You have multiple authorized logins on this device"
let userCancel                              = "User Cancel"
let authenticationFailed                    = "Authentication Failed"
let userFallback                            = "User Fallback"
let systemCancel                            = "System Cancel"
let passcodeNotSet                          = "Passcode Not Set"
let touchIDNotAvailable                     = "TouchID Not Available"
let touchIDNotEnrolled                      = "TouchID Not Enrolled"
let touchIDLockOut                          = "TouchID Lockout"
let appCancel                                = "App Cancel"
let invalidContext                          = "Invalid Context"
let setYourFaceToAuthenticate               = "Set your face to authenticate"
let setYourFingerToAuthenticate               = "Set your finger to authenticate"
let MaxAttachmentMessage                   = "Maximum number of allowed Attachments are 5"
let connected                               = "Connected"
let sendMessage                             = "Send Message"
let inviteToGroup                          = "Invite to Group"
let connect                                 = "Connect"
let startCall                               = "Start Call"
let AppUpdate                               = "App Update"
let AppUpdateMessage                        = "Please Update App To The Latest Version"
let update                                  = "Update"
let create                                  = "Create"
let noRegisterationWithPhoneNum             = "No user is registered with this phonenumber."
let inviteThroughSMS                        = "Do you want to send SMS on this phonenumber?"
let searchBarplaceholderWithEmailNumName   = "Search with name/email/phonenumber without country code"
let noInviteeSelectedMessage                = "No Invitee Selected"
let selectInvitees                          = "Select Invitees"
let declineText                             = "Decline"
let closeText                               = "Close"
let acceptRequesText                        = "Accept Request"


let KeyShareAttachment                      = "KeyShareAttachment"
let appURL                                  = "onlineDoc://"
let groupName                               = "group.com.piecyfer.onlinedoc"

let deleteChatMessage                       = "You are about to delete a complete conversation. If you do this, the complete conversation, including files, will be deleted and can not be restored or seen again by you. Are you sure you want to delete?"

let noGroupText                             = "There is no group to select"
let deleteThreadMessage                     = "Are you sure you want to delete this thread?"
let deleteTaskMessage                       = "Are you sure you want to delete this task?"

let createIn                                = "Create in.."
let group                                   = "Group"
let EditGroupDescriptionPlaceholder         = "Description of the group here"
let selectGroupFirst                        = "Please select a group first"
let priorityNotAllowedForCommunity          = "Priority selection for Community group is not allowed"

let noUserText                              = "There is no user to select"
let noRecordFound                           = "No record found"
let noRecordFoundHomeSearch                 = "There is no match for your search in system"
let successfullyDeleted                     = "Successfully deleted"
let deleteAlertMessage                      = "Are you sure you want to delete?"
let connectionMessage                       = "Do you want to connect with?"
let connectionAcceptMessage                 = "Accept connection request"
let connectionRejectMessage                 = "Reject connection request"
let loadMoreText                            = "load more"
let reactivate                              = "Reactivate?"
let NoInternetHeader                        = "No Internet Connection"
let NoInternetMessage                       = "Make sure that Wi-Fi or mobile data is turned on, then try again."
let AuthError                               = "Your session has been expired please press okay to re login"
let Groups                                  = "Groups"
let NoResultNewChat                         = "Your search has no results. You have following option"
let InviteBySMS                             = "An invitation will be send by SMS. The receiver will be able to participate as soon as he or she has created a user."
let InviteByEmail                           = "An invitation will be send by email. The receiver will be able to participate as soon as he or she has created a user."
let NewChatAlert                            = "A new chat with this user will be created and you can send messages in the chat. However, the invited user will NOT be able to read or see the messages until he or she has created a profile."
let virtualUserPopupMessage                 = "This user will not be able to see messages, until he/she has created a profile."

struct FontFamilyName {
    static let kMuliBold = "Muli-Bold"
    static let kMuliLight = "Muli-Light"
    static let kMuliSemiBold = "Muli-SemiBold"
    static let kMuliItalic = "Muli-LightItalic"
    static let kMuliSemiBoldItalic = "Muli-SemiBoldItalic"
}

enum AppFont {
    case kMuliBold(CGFloat)
    case kMuliLight(CGFloat)
    case kMuliSemiBold(CGFloat)
    case kMuliItalic(CGFloat)
    case kMuliSemiBoldItalic(CGFloat)
    
    func font() -> UIFont {
        switch self {
        case .kMuliBold(let size):
            return UIFont(name: FontFamilyName.kMuliBold, size: size)!
        case .kMuliLight(let size):
            return UIFont(name: FontFamilyName.kMuliLight, size: size)!
        case .kMuliSemiBold(let size):
            return UIFont(name: FontFamilyName.kMuliSemiBold, size: size)!
        case .kMuliItalic(let size):
            return UIFont(name: FontFamilyName.kMuliItalic, size: size)!
        case .kMuliSemiBoldItalic(let size):
            return UIFont(name: FontFamilyName.kMuliSemiBoldItalic, size: size)!
        }
    }
}
